--- old/usr/src/cmd/hwdata/pci.ids	Mon Oct  5 16:30:07 2015
+++ new/usr/src/cmd/hwdata/pci.ids	Mon Oct  5 16:30:07 2015
@@ -17552,6 +17886,7 @@
 	002a  AR928X Wireless Network Adapter (PCI-Express)
 		0777 4f05  SR71-X 802.11abgn Wireless ExpressCard Adapter [AR9280]
 		103c 3041  AR5BHB92-H 802.11abgn Wireless Half-size Mini PCIe Card [AR9280]
+		103c 3042  AzureWave AW-NE773 802.11abgn Wireless Half-size Mini PCIe Card [AR9280]
 		105b e006  T77H053.00 802.11bgn Wireless Mini PCIe Card [AR9281]
 		105b e01f  T77H047.31 802.11bgn Wireless Half-size Mini PCIe Card [AR9283]
 		106b 008f  AirPort Extreme
@@ -17600,6 +17935,8 @@
 	003c  QCA986x/988x 802.11ac Wireless Network Adapter
 	003e  QCA6174 802.11ac Wireless Network Adapter
 		1a56 1525  Killer N1525 Wireless-AC
+	0040  QCA9980/9990 802.11ac Wireless Network Adapter
+	0041  QCA6164 802.11ac Wireless Network Adapter
 	0207  AR5210 Wireless Network Adapter [AR5000 802.11a]
 	1014  AR5212 802.11abg NIC
 		1014 058a  ThinkPad 11a/b/g Wireless LAN Mini Express Adapter (AR5BXB6)
@@ -17625,6 +17962,8 @@
 	0001  SafeXcel 1140
 	000a  SafeXcel 1841
 	1141  SafeXcel 1141
+# misused vendor ID 0001
+		0001 0001  SafeXcel 1141 v. 1.1
 	1841  SafeXcel 1842
 16af  SparkLAN Communications, Inc.
 16b4  Aspex Semiconductor Ltd
@@ -17713,6 +18052,8 @@
 	7003  XMC-7K410AX: User-Configurable Kintex-7 FPGA, 410k logic cells with AXM Plug-In I/O
 	7004  XMC-7K325CC: User-Configurable Kintex-7 FPGA, 325k logic cells, conduction-cooled
 	7005  XMC-7K410CC: User-Configurable Kintex-7 FPGA, 410k logic cells, conduction-cooled
+	7006  XMC-7A200: User-Configurable Artix-7 FPGA, 200k logic cells with Plug-In I/O
+	7007  XMC-7A200CC: User-Configurable Conduction-Cooled Artix-7 FPGA, with 200k logic cells
 16da  Advantech Co., Ltd.
 	0011  INES GPIB-PCI
 16df  PIKA Technologies Inc.
@@ -17805,6 +18146,8 @@
 	0094  Octeon Fusion CNF71XX Cell processor
 	0095  Octeon III CN78XX Network Processor
 	0096  Octeon III CN70XX Network Processor
+	9700  Octeon III CN73XX Network Processor
+	9800  Octeon Fusion CNF75XX Processor
 	a001  THUNDERX MRML Bridge
 	a002  THUNDERX PCC Bridge
 		177d a102  CN88XX PCC Bridge
@@ -17869,7 +18212,9 @@
 	0011  SIS1100-e single link
 	0012  SIS1100-e quad link
 	0015  SIS8100 [Gigabit link, MicroTCA]
-1797  Techwell Inc.
+# nee Techwell, Inc.
+1797  Intersil Techwell
+	5864  TW5864 multimedia video controller
 	6801  TW6802 multimedia video card
 	6802  TW6802 multimedia other device
 	6810  TW6816 multimedia video controller
@@ -17937,6 +18282,11 @@
 	1170  ARC-1170 24-Port PCI-X to SATA RAID Controller
 	1201  ARC-1200 2-Port PCI-Express to SATA II RAID Controller
 	1210  ARC-1210 4-Port PCI-Express to SATA RAID Controller
+	1214  ARC-12x4 PCIe 2.0 to SAS/SATA 6Gb RAID Controller
+		17d3 1214  ARC-1214 4-Port PCIe 2.0 to SAS/SATA 6Gb RAID Controller
+		17d3 1224  ARC-1224 8-Port PCIe 2.0 to SAS/SATA 6Gb RAID Controller
+		17d3 1264  ARC-1264 12/16 Port PCIe 2.0 to SATA 6Gb RAID Controller
+		17d3 1284  ARC-1284 24 Port PCIe 2.0 to SATA 6Gb RAID Controller
 	1220  ARC-1220 8-Port PCI-Express to SATA RAID Controller
 	1222  ARC-1222 8-Port PCI-Express to SAS/SATA II RAID Controller
 	1230  ARC-1230 12-Port PCI-Express to SATA RAID Controller
@@ -17944,9 +18294,22 @@
 	1280  ARC-1280/1280ML 24-Port PCI-Express to SATA II RAID Controller
 		17d3 1221  ARC-1221 8-Port PCI-Express to SATA RAID Controller
 	1300  ARC-1300ix-16 16-Port PCI-Express to SAS Non-RAID Host Adapter
-	1680  ARC-1680 8 port PCIe/PCI-X to SAS/SATA II RAID Controller
+	1320  ARC-1320 8/16 Port PCIe 2.0 to SAS/SATA 6Gb Non-RAID Host Adapter
+	1330  ARC-1330 16 Port PCIe 3.0 to SAS/SATA 12Gb Non-RAID Host Adapter
+	1680  ARC-1680 series PCIe to SAS/SATA 3Gb RAID Controller
 		17d3 1212  ARC-1212 4-Port PCIe to SAS/SATA II RAID Controller
-	1880  ARC-1880 8/12 port PCIe/PCI-X to SAS/SATA II RAID Controller
+		17d3 1222  ARC-1222 8-Port PCIe to SAS/SATA 3Gb RAID Controller
+		17d3 1680  ARC-1680 8/12/16/24 Port PCIe to SAS/SATA 3Gb RAID Controller
+	1880  ARC-188x series PCIe 2.0/3.0 to SAS/SATA 6/12Gb RAID Controller
+		17d3 1213  ARC-1213 4-Port PCIe 2.0 to SAS/SATA 6Gb RAID Controller
+		17d3 1215  ARC-1215 4-Port PCIe 3.0 to SAS/SATA 6Gb RAID Controller
+		17d3 1216  ARC-1216 4-Port PCIe 3.0 to SAS/SATA 12Gb RAID Controller
+		17d3 1223  ARC-1223 8-Port PCIe 2.0 to SAS/SATA 6Gb RAID Controller
+		17d3 1225  ARC-1225 8-Port PCIe 3.0 to SAS/SATA 6Gb RAID Controller
+		17d3 1226  ARC-1226 8-Port PCIe 3.0 to SAS/SATA 12Gb RAID Controller
+		17d3 1880  ARC-1880 8/12/16/24 Port PCIe 2.0 to SAS/SATA 6Gb RAID Controller
+		17d3 1882  ARC-1882 8/12/16/24 Port PCIe 3.0 to SAS/SATA 6Gb RAID Controller
+		17d3 1883  ARC-1883 8/12/16/24 Port PCIe 3.0 to SAS/SATA 12Gb RAID Controller
 # nee Neterion Inc., previously S2io Inc.
 17d5  Exar Corp.
 	5731  Xframe 10-Gigabit Ethernet PCI-X
@@ -18094,9 +18457,11 @@
 	5360  RT5360 Wireless 802.11n 1T/1R
 		1186 3c05  DWA-525 Wireless N 150 Desktop Adapter (rev.A2)
 		20f4 703a  TEW-703PI N150 Wireless PCI Adapter
+	5362  RT5362 PCI 802.11n Wireless Network Adapter
 	5390  RT5390 Wireless 802.11n 1T/1R PCIe
 		103c 1636  U98Z077.00 Half-size Mini PCIe Card
 	5392  RT5392 PCIe Wireless Network Adapter
+	539b  RT5390R 802.11bgn PCIe Wireless Network Adapter
 	539f  RT5390 [802.11 b/g/n 1T1R G-band PCI Express Single Chip]
 		103c 1637  Pavilion DM1Z-3000 PCIe wireless card
 	5592  RT5592 PCIe Wireless Network Adapter
@@ -18125,6 +18490,7 @@
 1849  ASRock Incorporation
 184a  Thales Computers
 	1100  MAX II cPLD
+1850  Advantest Corporation
 1851  Microtune, Inc.
 1852  Anritsu Corp.
 1853  SMSC Automotive Infotainment System Group
@@ -18288,6 +18654,7 @@
 	0135  NT20E2-PTP Network Adapter 2x10Gb
 	0145  NT40E3-4-PTP Network Adapter 4x10Gb
 	0155  NT100E3-1-PTP Network Adapter 1x100Gb
+	0175  NT20E3-2-PTP Network Adapter 2x10Gb
 18f6  NextIO
 	1000  [Nexsis] Switch Virtual P2P PCIe Bridge
 	1001  [Texsis] Switch Virtual P2P PCIe Bridge
@@ -18431,10 +18798,12 @@
 		1924 8007  SFN7322F-R2 Precision Time SFP+ Server Adapter
 		1924 8009  SFN7x22F-R2 Flareon Ultra 7000 Series 10G Adapter
 		1924 800a  SFN7x02F-R2 Flareon 7000 Series 10G Adapter
-		1924 800b  SFN7x22F-R3 Flareon Ultra 7000 Series 10G Adapter
-		1924 800c  SFN7x02F-R3 Flareon 7000 Series 10G Adapter
+		1924 800c  SFN7x22F-R3 Flareon Ultra 7000 Series 10G Adapter
+		1924 800d  SFN7x02F-R3 Flareon 7000 Series 10G Adapter
 	0923  SFC9140
 		1924 800b  SFN7x42Q-R1 Flareon Ultra 7000 Series 10/40G Adapter
+		1924 800e  SFN7x42Q-R2 Flareon Ultra 7000 Series 10/40G Adapter
+		1924 800f  SFN7xx4F-R1 Flareon Ultra 7000 Series 10G Adapter
 	1803  SFC9020 Virtual Function [Solarstorm]
 	1813  SFL9021 Virtual Function [Solarstorm]
 	1903  SFC9120 Virtual Function
@@ -18567,6 +18936,8 @@
 		1a56 1201  Killer E2100 Gigabit Ethernet Controller
 # PCIe interface for emulator
 	fc02  RedStone
+# CFI device over PCIe
+	fc03  CFI
 1958  Faster Technology, LLC.
 1959  PA Semi, Inc
 	a000  PA6T Core
@@ -18701,6 +19072,8 @@
 19ae  Progeny Systems Corporation
 	0520  4135 HFT Interface Controller
 	0521  Decimator
+19ba  ZyXEL Communications Corp.
+	2330  ZyWALL Turbo Card
 19c1  Exegy Inc.
 # nee NextNet Wireless
 19d1  Motorola Expedience
@@ -18851,6 +19224,8 @@
 	0301  Wil6200 802.11ad Wireless Network Adapter
 	0302  Wil6200 802.11ad Wireless Network Adapter
 	0310  Wil6200 802.11ad Wireless Network Adapter
+1aea  Alcor Micro
+	6601  AU6601 PCI-E Flash card reader controller
 1aec  Wolfson Microelectronics
 # nee Fusion-io
 1aed  SanDisk
@@ -18888,6 +19263,7 @@
 1afa  J & W Electronics Co., Ltd.
 1b03  Magnum Semiconductor, Inc,
 	6100  DXT/DXTPro Multiformat Broadcast HD/SD Encoder/Decoder/Transcoder
+	7000  D7 Multiformat Broadcast HD/SD Encoder/Decoder/Transcoder
 1b08  MSC Vertriebs GmbH
 1b0a  Pegatron
 1b13  Jaton Corp
@@ -18903,6 +19279,7 @@
 	1080  ASM1083/1085 PCIe to PCI Bridge
 		1849 1080  Motherboard
 	1142  ASM1042A USB 3.0 Host Controller
+	1242  ASM1142 USB 3.1 Host Controller
 1b2c  Opal-RT Technologies Inc.
 1b36  Red Hat, Inc.
 	0001  QEMU PCI-PCI bridge
@@ -18917,7 +19294,20 @@
 	0100  QXL paravirtual graphic card
 		1af4 1100  QEMU Virtual Machine
 1b37  Signal Processing Devices Sweden AB
+	0001  ADQ214
+	0003  ADQ114
+	0005  ADQ112
+	000e  ADQ108
+	000f  ADQDSP
 	0014  ADQ412
+	0015  ADQ212
+	001b  SDR14
+	001c  ADQ1600
+	001e  ADQ208
+	001f  DSU
+	0020  ADQ14
+	2014  TX320
+	2019  S6000
 # now owned by HGST (a Western Digital subsidiary)
 1b39  sTec, Inc.
 	0001  S1120 PCIe Accelerator SSD
@@ -18936,6 +19326,7 @@
 	0640  88SE9128 SATA III 6Gb/s RAID Controller
 	9120  88SE9120 SATA 6Gb/s Controller
 	9123  88SE9123 PCIe SATA 6.0 Gb/s controller
+		dc93 600e  DC-6xxe series SATA 6G controller
 	9125  88SE9125 PCIe SATA 6.0 Gb/s controller
 	9128  88SE9128 PCIe SATA 6 Gb/s RAID controller
 	9130  88SE9128 PCIe SATA 6 Gb/s RAID controller with HyperDuo
@@ -18969,6 +19360,7 @@
 	1000  FL1000G USB 3.0 Host Controller
 		1d5c 1000  Anker USB 3.0 Express Card
 	1009  FL1009 USB 3.0 Host Controller
+	1100  FL1100 USB 3.0 Host Controller
 1b74  OpenVox Communication Co. Ltd.
 	0115  D115P/D115E Single-port E1/T1 card
 	d130  D130P/D130E Single-port E1/T1 card (3rd GEN)
@@ -19010,11 +19402,23 @@
 1bbf  Maxeler Technologies Ltd.
 	0003  MAX3
 	0004  MAX4
+1bd0  Astronics Corporation
+	1001  Mx5 PMC/XMC Databus Interface Card
+	1002  PM1553-5 (PC/104+ MIL-STD-1553 Interface Card)
+	1004  AB3000 Series Rugged Computer
+	1005  PE1000 (Multi-Protocol PCIe/104 Interface Card)
+	1101  OmniBus II PCIe Multi-Protocol Interface Card
+	1102  OmniBusBox II Multi-Protocol Interface Core
+	1103  OmniBus II cPCIe/PXIe Multi-Protocol Interface Card
 1bee  IXXAT Automation GmbH
 	0003  CAN-IB200/PCIe
 1bf4  VTI Instruments Corporation
 	0001  SentinelEX
 1bfd  EeeTOP
+1c09  CSP, Inc.
+	4254  10G-PCIE3-8D-2S
+	4255  10G-PCIE3-8D-Q
+	4256  10G-PCIE3-8D-2S
 1c1c  Symphony
 	0001  82C101
 1c28  Lite-On IT Corp. / Plextor
@@ -19038,6 +19442,9 @@
 	0300  Telas 2.V
 1c44  Enmotus Inc
 	8000  8000 Storage IO Controller
+# A Western Digital Subsidiary
+1c58  HGST, Inc.
+	0003  Ultrastar SN100 Series NVMe SSD
 1c7e  TTTech Computertechnik AG
 	0200  zFAS Debug Port
 1c7f  Elektrobit Austria GmbH
@@ -19049,20 +19456,41 @@
 	0100  CAN-PCIe-02
 1cd2  SesKion GmbH
 	0301  Simulyzer-RT CompactPCI Serial DIO-1 card
+	0302  Simulyzer-RT CompactPCI Serial PSI5-ECU-1 card
+	0303  Simulyzer-RT CompactPCI Serial PSI5-SIM-1 card
+	0304  Simulyzer-RT CompactPCI Serial PWR-ANA-1 card
+1cdd  secunet Security Networks AG
 1ce4  Exablaze
 	0001  ExaNIC X4
 	0002  ExaNIC X2
+	0003  ExaNIC X10
 1cf7  Subspace Dynamics
+1d00  Pure Storage
+1d1d  CNEX Labs
+	2807  8800 series NVMe SSD
 # CEM Solutions Pvt. Ltd.
 1d21  Allo
 1d26  Kalray Inc.
 	0040  Turbocard2 Accelerator
 	e004  AB01/EMB01 Development Board
+1d40  Techman Electronics (Changshu) Co., Ltd.
 1d44  DPT
 	a400  PM2x24/PM3224
 1d5c  Fantasia Trading LLC
+1d61  Technobox, Inc.
+1d65  Imagine Communications Corp.
+	04de  Taurus/McKinley
+1d6c  Atomic Rules LLC
+	1001  A5PL-E1
+	1002  A5PL-E7
+	1003  S5PEDS-AB
+	1004  KC705-K325
+	1005  ZC706-Z045
+	1006  KCU105-KU040
+	1007  XUSP3S-VU095 [Jasper]
+	4200  A5PL-E1-10GETI [10 GbE Ethernet Traffic Instrument]
 1de1  Tekram Technology Co.,Ltd.
-	0391  TRM-S1040
+	0391  TRM-S1040 [DC-315 / DC-395 series]
 	2020  DC-390
 	690c  690c
 	dc29  DC290
@@ -19098,6 +19526,19 @@
 		0000 3011  10-Giga TOE Dual Port SFP+/CX4 Low Profile SmartNIC
 		0000 3012  10-Giga TOE Dual Port CX4/SFP+ Low Profile SmartNIC
 		0000 3014  10-Giga TOE Dual Port CX4 Low Profile SmartNIC
+	4010  TN4010 Clean SROM
+	4020  TN9030 10GbE CX4 Ethernet Adapter
+	4022  TN9310 10GbE SFP+ Ethernet Adapter
+		1186 4d00  DXE-810S 10GbE SFP+ Ethernet Adapter
+		1fc9 3015  Ethernet Adapter
+	4024  TN9210 10GBase-T Ethernet Adapter
+	4025  TN9510 10GBase-T/NBASE-T Ethernet Adapter
+		1186 2900  DXE-810T 10GBase-T Ethernet Adapter
+		1fc9 3015  Ethernet Adapter
+	4026  TN9610 10GbE SFP+ Ethernet Adapter
+1fcc  StreamLabs
+	f416  MS416
+	fb01  MH4LM
 1fce  Cognio Inc.
 	0001  Spectrum Analyzer PC Card (SAgE)
 1fd4  SUNIX Co., Ltd.
@@ -19122,6 +19563,7 @@
 2955  Connectix Virtual PC
 	6e61  OHCI USB 1.1 controller
 2a15  3D Vision(???)
+2bd8  ROPEX Industrie-Elektronik GmbH
 3000  Hansol Electronics Inc.
 3142  Post Impression Systems.
 31ab  Zonet
@@ -19266,6 +19708,14 @@
 	0200  CPC
 4254  DVBSky
 4321  Tata Power Strategic Electronics Division
+4348  WCH.CN
+	2273  CH351 PCI Dual Serial Port Controller
+	3253  CH352 PCI Dual Serial Port Controller
+	3453  CH353 PCI Quad Serial Port Controller
+	5053  CH352 PCI Serial and Parallel Port Controller
+	7053  CH353 PCI Dual Serial and Parallel Ports Controller
+	7073  CH356 PCI Quad Serial and Parallel Ports Controller
+	7173  CH355 PCI Quad Serial Port Controller
 434e  CAST Navigation LLC
 4444  Internext Compression Inc
 	0016  iTVC16 (CX23416) Video Decoder
@@ -19620,6 +20070,7 @@
 	8032  tDVR8032 32-chan video capture card
 5853  XenSource, Inc.
 	0001  Xen Platform Device
+	c000  Citrix XenServer PCI Device for Windows Update
 # Virtual device surfaced in guests to provide HID events.
 	c110  Virtualized HID
 # Device surfaced in guests to provide 2d graphics capabilities
@@ -19682,6 +20133,7 @@
 	0044  Core Processor DRAM Controller
 		1025 0347  Aspire 7740G
 		1025 0487  TravelMate 5742
+		1028 040a  Latitude E6410
 		144d c06a  R730 Laptop
 		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
 		e4bf 50c1  PC1-GROOVE
@@ -19688,6 +20140,7 @@
 	0045  Core Processor PCI Express x16 Root Port
 		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
 	0046  Core Processor Integrated Graphics Controller
+		1028 040a  Latitude E6410
 		144d c06a  R730 Laptop
 		17c0 10d9  Medion Akoya E7214 Notebook PC [MD98410]
 		e4bf 50c1  PC1-GROOVE
@@ -19793,6 +20246,7 @@
 	0153  3rd Gen Core Processor Thermal Subsystem
 		1043 1517  Zenbook Prime UX31A
 	0154  3rd Gen Core processor DRAM Controller
+		1025 0806  Aspire E1-470G
 		1025 0813  Aspire R7-571
 		103c 17f6  ProBook 4540s
 		1043 1477  N56VZ
@@ -19852,13 +20306,15 @@
 		17aa 220e  ThinkPad T440p
 	041a  Xeon E3-1200 v3 Processor Integrated Graphics Controller
 	041e  4th Generation Core Processor Family Integrated Graphics Controller
-	0433  Coleto Creek ACC - ME/CPM interface
-	0435  Coleto Creek PCIe Endpoint
+	0434  DH89XXCC Series QAT
+	0435  DH895XCC Series QAT
 	0436  DH8900CC Null Device
 	0438  DH8900CC Series Gigabit Network Connection
 	043a  DH8900CC Series Gigabit Fiber Network Connection
 	043c  DH8900CC Series Gigabit Backplane Network Connection
 	0440  DH8900CC Series Gigabit SFP Network Connection
+	0442  DH89XXCC Series QAT Virtual Function
+	0443  DH895XCC Series QAT Virtual Function
 	0482  82375EB/SB PCI to EISA Bridge
 	0483  82424TX/ZX [Saturn] CPU to PCI bridge
 	0484  82378ZB/IB, 82379AB (SIO, SIO.A) PCI to ISA Bridge
@@ -20312,6 +20768,10 @@
 	0c48  Atom Processor S1200 PCI Express Root Port 3
 	0c49  Atom Processor S1200 PCI Express Root Port 4
 	0c4e  Atom Processor S1200 NTB Primary
+	0c50  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D QuickData Technology Device
+	0c51  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D QuickData Technology Device
+	0c52  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D QuickData Technology Device
+	0c53  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D QuickData Technology Device
 	0c54  Atom Processor S1200 Internal
 	0c55  Atom Processor S1200 DFX 1
 	0c56  Atom Processor S1200 DFX 2
@@ -20858,7 +21318,7 @@
 		8086 1199  PRO/1000 GT Quad Port Server Adapter
 	10b6  82598 10GbE PCI-Express Ethernet Controller
 	10b9  82572EI Gigabit Ethernet Controller (Copper)
-		103c 704a  HP 110T PCIe Gigabit Server Adapter
+		103c 704a  110T PCIe Gigabit Server Adapter
 		8086 1083  PRO/1000 PT Desktop Adapter
 		8086 1093  PRO/1000 PT Desktop Adapter
 	10ba  80003ES2LAN Gigabit Ethernet Controller (Copper)
@@ -20986,6 +21446,7 @@
 		108e 7b11  Ethernet Server Adapter X520-2
 		1734 11a9  10 Gigabit Dual Port Network Connection
 		17aa 1071  ThinkServer X520-2 AnyFabric
+		17aa 4007  82599ES 10-Gigabit SFI/SFP+ Network Connection
 		8086 0002  Ethernet Server Adapter X520-DA2
 		8086 0003  Ethernet Server Adapter X520-2
 		8086 0006  Ethernet Server Adapter X520-1
@@ -21272,6 +21733,7 @@
 		1093 775b  PCIe-8237 Ethernet Adapter
 		10a9 802a  UV2-BaseIO dual-port GbE
 		17aa 1074  ThinkServer I350-T4 AnyFabric
+		17aa 4005  I350 Gigabit Network Connection
 		8086 0001  Ethernet Server Adapter I350-T4
 		8086 0002  Ethernet Server Adapter I350-T2
 		8086 00a1  Ethernet Server Adapter I350-T4
@@ -21309,10 +21771,12 @@
 		103c 192d  561FLR-T 2-port 10Gb Ethernet Adapter
 		103c 2004  Ethernet 10Gb 2-port 561i Adapter
 		103c 211a  Ethernet 10Gb 2-port 561T Adapter
+		108e 4853  Ethernet Controller 10-Gigabit X540-AT2
 		108e 7b14  Sun Dual Port 10 GbE PCIe 2.0 ExpressModule, Base-T
 		108e 7b15  Sun Dual Port 10 GbE PCIe 2.0 Low Profile Adapter, Base-T
 		1137 00bf  Ethernet Converged Network Adapter X540-T2
 		17aa 1073  ThinkServer X540-T2 AnyFabric
+		17aa 4006  Ethernet Controller 10-Gigabit X540-AT2
 		8086 0001  Ethernet Converged Network Adapter X540-T2
 		8086 0002  Ethernet Converged Network Adapter X540-T1
 		8086 001a  Ethernet Converged Network Adapter X540-T2
@@ -21319,6 +21783,7 @@
 		8086 00a2  Ethernet Converged Network Adapter X540-T1
 		8086 1f61  Ethernet 10G 4P X540/I350 rNDC
 		8086 5003  Ethernet 10G 2P X540-t Adapter
+		8086 5004  Ethernet 10G 2P X540-t Adapter
 	1529  82599 10 Gigabit Dual Port Network Connection with FCoE
 	152a  82599 10 Gigabit Dual Port Backplane Connection with FCoE
 	1533  I210 Gigabit Network Connection
@@ -21347,6 +21812,7 @@
 	154d  Ethernet 10G 2P X520 Adapter
 		8086 7b11  10GbE 2P X520 Adapter
 	1557  82599 10 Gigabit Network Connection
+		17aa 4008  82599EN 10 Gigabit Network Connection
 		8086 0001  Ethernet OCP Server Adapter X520-1
 	1558  Ethernet Converged Network Adapter X520-Q1
 		8086 011a  Ethernet Converged Network Adapter X520-Q1
@@ -21360,15 +21826,24 @@
 		8086 0001  Ethernet Server Bypass Adapter X520-SR2
 		8086 0002  Ethernet Server Bypass Adapter X520-LR2
 	1560  Ethernet Controller X540
+	1563  Ethernet Controller 10G X550T
+		8086 0001  Ethernet Converged Network Adapter X550-T2
+		8086 001a  Ethernet Converged Network Adapter X550-T2
 	156f  Ethernet Connection I219-LM
 	1570  Ethernet Connection I219-V
 	1571  XL710/X710 Virtual Function
 	1572  Ethernet Controller X710 for 10GbE SFP+
+		1028 0000  Ethernet 10G X710 rNDC
 		1028 1f99  Ethernet 10G 4P X710/I350 rNDC
+		1028 1f9c  Ethernet 10G 4P X710 SFP+ rNDC
+		103c 0000  HPE Ethernet 10Gb 562SFP+ Adapter
+		103c 22fc  HPE Ethernet 10Gb 2-port 562FLR-SFP+ Adapter
+		103c 22fd  HPE Ethernet 10Gb 2-port 562SFP+ Adapter
 		1137 0000  Ethernet Converged NIC X710-4
 		1137 013b  Ethernet Converged NIC X710-4
-		17aa 0000  ThinkServer XL710 AnyFabric
-		17aa 4001  ThinkServer XL710-4 AnyFabric
+		17aa 0000  ThinkServer X710 AnyFabric for 10GbE SFP+
+		17aa 4001  ThinkServer X710-4 AnyFabric for 10GbE SFP+
+		17aa 4002  ThinkServer X710-2 AnyFabric for 10GbE SFP+
 		8086 0000  Ethernet Converged Network Adapter X710
 		8086 0001  Ethernet Converged Network Adapter X710-4
 		8086 0002  Ethernet Converged Network Adapter X710-4
@@ -21377,14 +21852,24 @@
 		8086 0006  Ethernet 10G 2P X710 Adapter
 		8086 0007  Ethernet Converged Network Adapter X710-2
 		8086 0008  Ethernet Converged Network Adapter X710-2
+		8086 0009  Ethernet Controller X710 for 10GbE SFP+
+		8086 000a  Ethernet Controller X710 for 10GbE SFP+
+		8086 000d  Ethernet Controller X710 for 10GbE SFP+
+		8086 4005  Ethernet Controller XL710 for 10 Gigabit SFP+
+		8086 4006  Ethernet Controller X710 for 10GbE SFP+
 	157b  I210 Gigabit Network Connection
 	157c  I210 Gigabit Backplane Connection
 	1580  Ethernet Controller XL710 for 40GbE backplane
 	1581  Ethernet Controller X710 for 10GbE backplane
+		1028 0000  Ethernet 10G X710-k bNDC
 		1028 1f98  Ethernet 10G 4P X710-k bNDC
+		1028 1f9e  Ethernet 10G 2P X710-k bNDC
+		8086 0000  Ethernet Converged Network Adapter XL710-Q2
 	1583  Ethernet Controller XL710 for 40GbE QSFP+
-		108e 0000  Oracle 10 Gb and 40 Gb Ethernet Adapter
-		108e 7b1b  Oracle 10 Gb and 40 Gb Ethernet Adapter
+		1028 0000  Ethernet 40G 2P XL710 QSFP+ rNDC
+		1028 1f9f  Ethernet 40G 2P XL710 QSFP+ rNDC
+		108e 0000  Quad 10Gb Ethernet Adapter
+		108e 7b1b  Quad 10Gb Ethernet Adapter
 		1137 0000  Ethernet Converged NIC XL710-Q2
 		1137 013c  Ethernet Converged NIC XL710-Q2
 		8086 0000  Ethernet Converged Network Adapter XL710-Q2
@@ -21391,26 +21876,45 @@
 		8086 0001  Ethernet Converged Network Adapter XL710-Q2
 		8086 0002  Ethernet Converged Network Adapter XL710-Q2
 		8086 0003  Ethernet I/O Module XL710-Q2
+		8086 0004  Ethernet Server Adapter XL710-Q2OCP
+		8086 0006  Ethernet Converged Network Adapter XL710-Q2
 	1584  Ethernet Controller XL710 for 40GbE QSFP+
 		8086 0000  Ethernet Converged Network Adapter XL710-Q1
 		8086 0001  Ethernet Converged Network Adapter XL710-Q1
 		8086 0002  Ethernet Converged Network Adapter XL710-Q1
 		8086 0003  Ethernet I/O Module XL710-Q1
+		8086 0004  Ethernet Server Adapter XL710-Q1OCP
 	1585  Ethernet Controller X710 for 10GbE QSFP+
 	1586  Ethernet Controller X710 for 10GBASE-T
 		108e 0000  Ethernet Controller X710 for 10GBASE-T
 		108e 4857  Ethernet Controller X710 for 10GBASE-T
+	1587  Ethernet Controller XL710 for 20GbE backplane
+		103c 0000  HP Flex-20 20Gb 2-port 660FLB Adapter
+		103c 22fe  HP Flex-20 20Gb 2-port 660FLB Adapter
+	1588  Ethernet Controller XL710 for 20GbE backplane
+		103c 0000  HP Flex-20 20Gb 2-port 660M Adapter
+		103c 22ff  HP Flex-20 20Gb 2-port 660M Adapter
+	1589  Ethernet Controller X710/X557-AT 10GBASE-T
+		8086 0000  Ethernet Converged Network Adapter X710-T
+		8086 0001  Ethernet Converged Network Adapter X710-T4
+		8086 0002  Ethernet Converged Network Adapter X710-T4
 	15a0  Ethernet Connection (2) I218-LM
 	15a1  Ethernet Connection (2) I218-V
 	15a2  Ethernet Connection (3) I218-LM
 	15a3  Ethernet Connection (3) I218-V
+	15a4  Ethernet Switch FM10000 Host Interface
+	15a5  Ethernet Switch FM10000 Host Virtual Interface
 	15a8  Ethernet Connection X552 Virtual Function
 	15aa  Ethernet Connection X552 10 GbE Backplane
 	15ab  Ethernet Connection X552 10 GbE Backplane
 	15ac  Ethernet Connection X552 10 GbE SFP+
 	15ad  Ethernet Connection X552/X557-AT 10GBASE-T
+	15ae  Ethernet Connection X552 1000BASE-T
 	15b7  Ethernet Connection (2) I219-LM
 	15b8  Ethernet Connection (2) I219-V
+	15d1  Ethernet Controller 10G X550T
+		8086 0002  Ethernet Converged Network Adapter X550-T1
+		8086 00a2  Ethernet Converged Network Adapter X550-T1
 	1600  Broadwell-U Host Bridge -OPI
 	1601  Broadwell-U PCI Express x16 Controller
 	1602  Broadwell-U Integrated Graphics
@@ -21431,6 +21935,7 @@
 	1612  Broadwell-U Integrated Graphics
 	1614  Broadwell-U Host Bridge - DMI
 	1616  Broadwell-U Integrated Graphics
+		103c 2216  ZBook 15u G2 Mobile Workstation
 	1618  Broadwell-U Host Bridge - DMI
 	161a  Broadwell-U Integrated Graphics
 	161b  Broadwell-U Integrated Graphics
@@ -21499,6 +22004,7 @@
 	1a24  82840 840 [Carmel] Chipset PCI Bridge (Hub B)
 	1a30  82845 845 [Brookdale] Chipset Host Bridge
 		1028 010e  Optiplex GX240
+		147b 0505  BL7 motherboard
 		15d9 3280  Supermicro P4SBE Mainboard
 	1a31  82845 845 [Brookdale] Chipset AGP Bridge
 	1a38  5000 Series Chipset DMA Engine
@@ -21836,8 +22342,8 @@
 	1f14  Atom processor C2000 RAS
 	1f15  Atom processor C2000 SMBus 2.0
 	1f16  Atom processor C2000 RCEC
-	1f18  Atom processor C2000 nCPM
-	1f19  Atom processor C2000 nCPM
+	1f18  Atom processor C2000 QAT
+	1f19  Atom processor C2000 QAT
 	1f20  Atom processor C2000 4-Port IDE SATA2 Controller
 	1f21  Atom processor C2000 4-Port IDE SATA2 Controller
 	1f22  Atom processor C2000 AHCI SATA2 Controller
@@ -21928,26 +22434,26 @@
 	2360  DH89xxCC Watchdog Timer
 	2364  DH89xxCC MEI 0
 	2365  DH89xxCC MEI 1
-	2390  Coleto Creek LPC Controller
-	23a1  Coleto Creek 2-Port SATA Controller [IDE Mode]
-	23a3  Coleto Creek 4-Port SATA Controller [AHCI Mode]
-	23a6  Coleto Creek 2-Port SATA Controller [IDE Mode]
-	23b0  Coleto Creek SMBus Controller
-	23b1  Coleto Creek CHAP Counter
-	23b2  Coleto Creek Thermal Management Controller
-	23b4  Coleto Creek USB2 Enhanced Host Controller #1
-	23b5  Coleto Creek USB2 Enhanced Host Controller #1
-	23c2  Coleto Creek PCI Express Root Port #1
-	23c3  Coleto Creek PCI Express Root Port #1
-	23c4  Coleto Creek PCI Express Root Port #2
-	23c5  Coleto Creek PCI Express Root Port #2
-	23c6  Coleto Creek PCI Express Root Port #3
-	23c7  Coleto Creek PCI Express Root Port #3
-	23c8  Coleto Creek PCI Express Root Port #4
-	23c9  Coleto Creek PCI Express Root Port #4
-	23e0  Coleto Creek Watchdog Timer
-	23e4  Coleto Creek MEI Controller #1
-	23e5  Coleto Creek MEI Controller #2
+	2390  DH895XCC Series LPC Controller
+	23a1  DH895XCC Series 2-Port SATA Controller [IDE Mode]
+	23a3  DH895XCC Series 4-Port SATA Controller [AHCI Mode]
+	23a6  DH895XCC Series 2-Port SATA Controller [IDE Mode]
+	23b0  DH895XCC Series SMBus Controller
+	23b1  DH895XCC Series CHAP Counter
+	23b2  DH895XCC Series Thermal Management Controller
+	23b4  DH895XCC Series USB2 Enhanced Host Controller #1
+	23b5  DH895XCC Series USB2 Enhanced Host Controller #1
+	23c2  DH895XCC Series PCI Express Root Port #1
+	23c3  DH895XCC Series PCI Express Root Port #1
+	23c4  DH895XCC Series PCI Express Root Port #2
+	23c5  DH895XCC Series PCI Express Root Port #2
+	23c6  CDH895XCC Series PCI Express Root Port #3
+	23c7  DH895XCC Series PCI Express Root Port #3
+	23c8  DH895XCC Series PCI Express Root Port #4
+	23c9  DH895XCC Series PCI Express Root Port #4
+	23e0  DH895XCC Series Watchdog Timer
+	23e4  DH895XCC Series MEI Controller #1
+	23e5  DH895XCC Series MEI Controller #2
 	2410  82801AA ISA Bridge (LPC)
 	2411  82801AA IDE Controller
 	2412  82801AA USB Controller
@@ -21974,7 +22480,7 @@
 	2428  82801AB PCI Bridge
 	2440  82801BA ISA Bridge (LPC)
 		8086 5744  S845WD1-E
-	2442  82801BA/BAM USB Controller #1
+	2442  82801BA/BAM UHCI USB 1.1 Controller #1
 		1014 01c6  Netvista A40/A40p
 		1025 1016  Travelmate 612 TX
 		1028 00c7  Dimension 8100
@@ -21983,6 +22489,7 @@
 		103c 126f  e-pc 40
 		1043 8027  TUSL2-C Mainboard
 		104d 80df  Vaio PCG-FX403
+		147b 0505  BL7 motherboard
 		147b 0507  TH7II-RAID
 		8086 4532  D815EEA2 mainboard
 		8086 4557  D815EGEW Mainboard
@@ -21996,12 +22503,13 @@
 		103c 126f  e-pc 40
 		1043 8027  TUSL2-C Mainboard
 		104d 80df  Vaio PCG-FX403
+		147b 0505  BL7 motherboard
 		147b 0507  TH7II-RAID
 		15d9 3280  Supermicro P4SBE Mainboard
 		8086 4532  D815EEA2 mainboard
 		8086 4557  D815EGEW Mainboard
 		8086 5744  S845WD1-E mainboard
-	2444  82801BA/BAM USB Controller #1
+	2444  82801BA/BAM UHCI USB 1.1 Controller #2
 		1025 1016  Travelmate 612 TX
 		1028 00c7  Dimension 8100
 		1028 00d8  Precision 530
@@ -22009,6 +22517,7 @@
 		103c 126f  e-pc 40
 		1043 8027  TUSL2-C Mainboard
 		104d 80df  Vaio PCG-FX403
+		147b 0505  BL7 motherboard
 		147b 0507  TH7II-RAID
 		8086 4532  D815EEA2 mainboard
 		8086 5744  S845WD1-E mainboard
@@ -22021,6 +22530,7 @@
 		103c 126f  e-pc 40
 		104d 80df  Vaio PCG-FX403
 		1462 3370  STAC9721 AC
+		147b 0505  BL7 motherboard
 		147b 0507  TH7II-RAID
 		8086 4557  D815EGEW Mainboard
 	2446  82801BA/BAM AC'97 Modem Controller
@@ -22027,8 +22537,9 @@
 		1025 1016  Travelmate 612 TX
 		104d 80df  Vaio PCG-FX403
 	2448  82801 Mobile PCI Bridge
+		1028 040a  Latitude E6410
 		1028 040b  Latitude E6510
-		103c 0934  HP Compaq nw8240 Mobile Workstation
+		103c 0934  Compaq nw8240 Mobile Workstation
 		103c 099c  NX6110/NC6120
 		103c 309f  Compaq nx9420 Notebook
 		103c 30a3  Compaq nw8440
@@ -22088,6 +22599,7 @@
 		1028 010e  Optiplex GX240
 		103c 126f  e-pc 40
 		1043 8027  TUSL2-C Mainboard
+		147b 0505  BL7 motherboard
 		147b 0507  TH7II-RAID
 		15d9 3280  Supermicro P4SBE Mainboard
 		8086 4532  D815EEA2 mainboard
@@ -22182,6 +22694,7 @@
 		1014 0267  NetVista A30p
 		1014 052d  ThinkPad
 		1025 005a  TravelMate 290
+		1025 0064  Extensa 3000 series laptop: Intel 82801DBM (ICH4-M)
 		1028 0126  Optiplex GX260
 		1028 0163  Latitude D505
 		1028 018d  Inspiron 700m/710m
@@ -22207,6 +22720,7 @@
 		1014 0267  NetVista A30p
 		1014 052d  ThinkPad
 		1025 005a  TravelMate 290
+		1025 0064  Extensa 3000 series laptop: Intel 82801DBM (ICH4-M)
 		1028 0126  Optiplex GX260
 		1028 014f  Latitude X300
 		1028 018d  Inspiron 700m/710m
@@ -22228,6 +22742,7 @@
 		1014 0267  NetVista A30p
 		1014 052d  ThinkPad
 		1025 005a  TravelMate 290
+		1025 0064  Extensa 3000 series laptop: Intel 82801DBM (ICH4-M)
 		1028 0126  Optiplex GX260
 		1028 0163  Latitude D505
 		1028 018d  Inspiron 700m/710m
@@ -22252,6 +22767,7 @@
 		1014 0537  ThinkPad T4x Series
 		1014 055f  Thinkpad R50e model 1634
 		1025 005a  TravelMate 290
+		1025 0064  Extensa 3000 series laptop: Intel 82801DBM (ICH4-M)
 		1028 0139  Latitude D400
 		1028 014f  Latitude X300
 		1028 0152  Latitude D500
@@ -22278,6 +22794,7 @@
 		1014 0559  ThinkPad R50e
 		1025 003c  Aspire 2001WLCi (Compal CL50 motherboard) implementation
 		1025 005a  TravelMate 290
+		1025 0064  Extensa 3000 series laptop: Intel 82801DBM (ICH4-M)
 		1028 0196  Inspiron 5160
 		103c 088c  NC8000 laptop
 		103c 0890  NC6000 laptop
@@ -22294,6 +22811,7 @@
 		1014 0267  NetVista A30p
 		1014 052d  ThinkPad
 		1025 005a  TravelMate 290
+		1025 0064  Extensa 3000 series laptop: Intel 82801DBM (ICH4-M)
 		1028 0126  Optiplex GX260
 		1028 0163  Latitude D505
 		1028 018d  Inspiron 700m/710m
@@ -22315,6 +22833,7 @@
 	24ca  82801DBM (ICH4-M) IDE Controller
 		1014 052d  ThinkPad
 		1025 005a  TravelMate 290
+		1025 0064  Extensa 3000 series laptop: Intel 82801DBM (ICH4-M)
 		1028 014f  Latitude X300
 		1028 0163  Latitude D505
 		1028 018d  Inspiron 700m/710m
@@ -22345,6 +22864,7 @@
 		1014 0267  NetVista A30p
 		1014 052e  ThinkPad
 		1025 005a  TravelMate 290
+		1025 0064  Extensa 3000 series laptop: Intel 82801DBM (ICH4-M)
 		1028 011d  Latitude D600
 		1028 0126  Optiplex GX260
 		1028 0139  Latitude D400
@@ -22555,6 +23075,8 @@
 		8086 524c  D865PERL mainboard
 	24df  82801ER (ICH5R) SATA Controller
 		1028 0168  Precision Workstation 670 Mainboard
+	24f0  Omni-Path HFI Silicon 100 Series [discrete]
+	24f1  Omni-Path HFI Silicon 100 Series [integrated]
 	24f3  Wireless 8260
 # Snow Field Peak AC
 		8086 0010  Dual Band Wireless-AC 8260
@@ -22662,7 +23184,7 @@
 		e4bf 0cd3  CD3-JIVE
 		e4bf 58b1  XB1
 	2591  Mobile 915GM/PM Express PCI Express Root Port
-		103c 0934  HP Compaq nw8240 Mobile Workstation
+		103c 0934  Compaq nw8240 Mobile Workstation
 	2592  Mobile 915GM/GMS/910GML Express Graphics Controller
 		103c 099c  NX6110/NC6120
 		103c 308a  NC6220
@@ -22912,13 +23434,13 @@
 		e4bf 0cd3  CD3-JIVE
 		e4bf 58b1  XB1
 	2660  82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1
-		103c 0934  HP Compaq nw8240 Mobile Workstation
+		103c 0934  Compaq nw8240 Mobile Workstation
 		103c 099c  NX6110/NC6120
 		e4bf 0ccd  CCD-CALYPSO
 		e4bf 0cd3  CD3-JIVE
 		e4bf 58b1  XB1
 	2662  82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 2
-		103c 0934  HP Compaq nw8240 Mobile Workstation
+		103c 0934  Compaq nw8240 Mobile Workstation
 		e4bf 0ccd  CCD-CALYPSO
 		e4bf 0cd3  CD3-JIVE
 		e4bf 58b1  XB1
@@ -23405,6 +23927,7 @@
 	2822  SATA Controller [RAID mode]
 		1028 020d  Inspiron 530
 		103c 2a6f  Asus IPIBL-LB Motherboard
+		1043 8277  P5K PRO Motherboard
 	2823  C610/X99 series chipset sSATA Controller [RAID mode]
 	2824  82801HB (ICH8) 4 port SATA Controller [AHCI mode]
 		1043 81ec  P5B
